#
# spec file for package tnftp
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tnftp
Version:        20141104
Release:        4.5
Summary:        Enhanced FTP Client
License:        BSD-3-Clause
Group:          Productivity/Networking/Ftp/Clients
Url:            ftp://ftp.netbsd.org/pub/NetBSD/misc/tnftp/
Source0:        ftp://ftp.netbsd.org/pub/NetBSD/misc/tnftp/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.netbsd.org/pub/NetBSD/misc/tnftp/%{name}-%{version}.tar.gz.asc
Source2:        tnftp.keyring
# PATCH-FIX-UPSTREAM: do not use bundled libedit
Patch0:         tnftp-20100108-am_and_libedit.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libedit-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-alternatives
Requires(post): coreutils
Requires(post): update-alternatives
Requires(pre):  coreutils
Requires(pre):  update-alternatives
Provides:       lukemftp = 1.6
Provides:       nkitb:%{_bindir}/ftp
Obsoletes:      lukemftp <= 1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      ftp

%description
%{name} is the FTP (File Transfer Protocol) client from NetBSD.  FTP is a widely
used protocol for transferring files over the Internet and for archiving files.
%{name} provides some advanced features beyond the Linux netkit ftp client, but
maintains a similar user interface to the traditional ftp client.  It was
formerly called lukemftp.

%prep
%setup -q
%patch0 -p1

%build
#axe bundled library
rm -rf libedit
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/ftp
ln -sf %{_sysconfdir}/alternatives/ftp %{buildroot}%{_bindir}/ftp
touch %{buildroot}%{_sysconfdir}/alternatives/ftp.1.gz
ln -sf %{_sysconfdir}/alternatives/ftp.1.gz %{buildroot}%{_mandir}/man1/ftp.1.gz

%post
update-alternatives --install  %{_bindir}/ftp ftp %{_bindir}/%{name} 10 \
  --slave %{_mandir}/man1/ftp.1.gz ftp.1 %{_mandir}/man1/%{name}.1.gz
update-alternatives --auto ftp

%preun
if [ $1 -eq 0 ]; then
  update-alternatives --remove ftp %{_bindir}/%{name}
fi

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README THANKS
%ghost %{_sysconfdir}/alternatives/ftp
%ghost %{_sysconfdir}/alternatives/ftp.1.gz
%{_bindir}/ftp
%{_mandir}/man1/ftp.1.gz
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Apr  7 2015 p.drouand@gmail.com
- Update to version 20141104
  * Portability fixes
- Changes from version 20141031
  * Ignore special character behaviour in filenames not provided
  by the user.
  * Fixes CVE-2014-8517.
  * Fix timeout on HTTP fetches.
- Remove tnftp-cve-2014-8517.patch; fixed on upstream release
* Thu Oct 30 2014 tchvatal@suse.com
- Apply fix for bnc#903011 CVE-2014-8517
  * tnftp-cve-2014-8517.patch
- Version bump to 20130505:
  * various triv fixes
  * more ssl support
  * refresh tnftp-20100108-am_and_libedit.patch
- Cleanup with spec-cleaner
- Use update-alternatives properly
- Do not verify the sig in spec, just let OBS do it
* Mon Apr 29 2013 mvyskocil@suse.com
- verify tarball using gpg-offline
- remove obsoleted PreReq and reformat spec
* Wed Apr 11 2012 andreas.stieger@gmx.de
- fix openSUSE builds
- add autoconf, automake, libtool build requirements
- remove INSTALL file from package
* Mon Aug  1 2011 crrodriguez@opensuse.org
- There is no need to check for ncurses, not directly used
  by this package but by libedit for which we use the system version.
* Sun Jul 31 2011 crrodriguez@opensuse.org
- First package version, this is the segue from lukemftp
